=== kopete/protocols/jabber/CMakeLists.txt ===
add_definitions(-DQT3_SUPPORT -DQT3_SUPPORT_WARNINGS -DIRIS_XMPP_JID_DEPRECATED)

add_subdirectory( icons ) 
add_subdirectory( libiris ) 

#FIXME:glib : necessary ?
include_directories( 
${KOPETE_INCLUDES} 
${CMAKE_CURRENT_SOURCE_DIR}/ui/
${CMAKE_CURRENT_SOURCE_DIR}/tasks/
${CMAKE_CURRENT_SOURCE_DIR}/libiris/include/
${CMAKE_CURRENT_SOURCE_DIR}/libiris/iris/
${CMAKE_CURRENT_SOURCE_DIR}/libiris/iris/xmpp/jingle
${QCA2_INCLUDE_DIR}
)

if(BUILD_GOOGLETALK)
  # We dont need other programs
  set ( BUILD_libjingle_natserver false )
  set ( BUILD_libjingle_nat_unittest false )
  set ( BUILD_libjingle_virtualsocket_unittest false )
  set ( BUILD_libjingle_relayserver false )
  set ( BUILD_libjingle_stunserver false )
  set ( BUILD_libjingle_stunserver_unittest false )
  set ( BUILD_libjingle_session_unittest false )
  set ( BUILD_libjingle_port_unittest false )
  set ( BUILD_libjingle_login false )

  # Enable pcp if filetransfer is supported by Kopete
  set ( BUILD_libjingle_pcp false )

  # Enabled voice call
  set ( BUILD_libjingle_call true )

  add_subdirectory(googletalk/libjingle)

  add_definitions(-DGOOGLETALK_SUPPORT)
  include_directories(${CMAKE_CURRENT_SOURCE_DIR}/googletalk/)
endif(BUILD_GOOGLETALK)

IF(BUILD_JINGLE)
  add_definitions(-DJINGLE_SUPPORT)
  include_directories(${CMAKE_CURRENT_SOURCE_DIR}/jingle)
ENDIF(BUILD_JINGLE)

#link_directories( ${CMAKE_CURRENT_BINARY_DIR}/libiris/ ${CMAKE_CURRENT_BINARY_DIR}/jingle/ )
link_directories( ${CMAKE_CURRENT_BINARY_DIR}/libiris/ )

########### next target ###############

set(kopete_jabber_ui_SRCS 
    ui/dlgxmppconsole.cpp
    ui/jabberaddcontactpage.cpp 
    ui/dlgjabbervcard.cpp 
    ui/dlgjabberservices.cpp 
    ui/dlgregister.cpp 
    ui/dlgsearch.cpp 
    ui/dlgahcommand.cpp 
    ui/dlgahclist.cpp 
    ui/jabbereditaccountwidget.cpp 
    ui/jabberregisteraccount.cpp 
    ui/jabberchooseserver.cpp 
    ui/dlgjabberchangepassword.cpp
    ui/dlgjabberchatroomslist.cpp
    ui/dlgjabberchatjoin.cpp 
    ui/privacylistblockedmodel.cpp
    ui/privacylistmodel.cpp
    ui/privacydlg.cpp
    ui/privacyruledlg.cpp
)

if(BUILD_GOOGLETALK)
   set(kopete_jabber_ui_SRCS
      ${kopete_jabber_ui_SRCS}
      googletalk/googletalkcalldialog.cpp
   )
endif(BUILD_GOOGLETALK)

if(BUILD_JINGLE)	
  set(kopete_jabber_ui_SRCS
      ${kopete_jabber_ui_SRCS}
      jingle/jinglecontentdialog.cpp
      jingle/jinglecallsgui.cpp
  )
endif(BUILD_JINGLE)

set(kopete_jabber_ui_files
#   ${kopete_jabber_ui_SRCS}
   ui/dlgxmppconsole.ui
   ui/dlgjabberregisteraccount.ui 
   ui/dlgjabberchooseserver.ui 
   ui/dlgvcard.ui 
   ui/dlgservices.ui 
   ui/dlgaddcontact.ui 
   ui/dlgsearch.ui 
   ui/dlgchangepassword.ui 
   ui/dlgjabbereditaccountwidget.ui
   ui/dlgchatjoin.ui 
   ui/dlgchatroomslist.ui 
   ui/privacyrule.ui
   ui/privacy.ui
)

if(BUILD_GOOGLETALK)
   set(kopete_jabber_ui_files
      ${kopete_jabber_ui_files}
      googletalk/googletalkcalldialog.ui
   )
endif(BUILD_GOOGLETALK)

if(BUILD_JINGLE)
  set(kopete_jabber_ui_files
      ${kopete_jabber_ui_files}
      jingle/jinglecontentdialog.ui
      jingle/jinglecallsgui.ui
  )
endif(BUILD_JINGLE)

kde4_add_ui_files(kopete_jabber_ui_SRCS ${kopete_jabber_ui_files})

set(kopete_jabber_PART_SRCS 
   tasks/jt_getlastactivity.cpp
   tasks/jt_privatestorage.cpp
   tasks/jt_ahcommand.cpp
   tasks/jt_xsearch.cpp
   tasks/jt_xregister.cpp
   tasks/jt_pubsub.cpp
   tasks/mood.cpp
   tasks/privacylistitem.cpp
   tasks/privacylist.cpp
   tasks/privacymanager.cpp
   ${kopete_jabber_ui_SRCS} 
   jabberprotocol.cpp 
   jabberaccount.cpp 
   jabberresource.cpp 
   jabberresourcepool.cpp 
   jabberbasecontact.cpp 
   jabbercontact.cpp 
   jabbergroupcontact.cpp 
   jabbergroupmembercontact.cpp 
   jabbercontactpool.cpp 
   jabberformtranslator.cpp 
   jabberxdatawidget.cpp 
   jabberformlineedit.cpp 
   jabberchatsession.cpp 
   jabbergroupchatmanager.cpp 
   jabberfiletransfer.cpp 
   jabbercapabilitiesmanager.cpp 
   jabbertransport.cpp 
   jabberbookmarks.cpp 
   jabberclient.cpp 
)

if(BUILD_GOOGLETALK)
  set(kopete_jabber_PART_SRCS
      ${kopete_jabber_PART_SRCS}
      googletalk/googletalk.cpp
  )
endif(BUILD_GOOGLETALK)

if(BUILD_JINGLE)	
  set(kopete_jabber_PART_SRCS
      ${kopete_jabber_PART_SRCS}
      jingle/jinglecallsmanager.cpp
      jingle/jabberjinglesession.cpp
      jingle/jabberjinglecontent.cpp
      jingle/jinglertpsession.cpp
      jingle/mediamanager.cpp
      jingle/mediasession.cpp
      jingle/alsaio.cpp
      jingle/speexio.cpp
      jingle/abstractio.cpp
  )
endif(BUILD_JINGLE)

kde4_add_plugin(kopete_jabber ${kopete_jabber_PART_SRCS})


if(BUILD_JINGLE)	
  target_link_libraries(kopete_jabber ${KDE4_KDE3SUPPORT_LIBS} ${QCA2_LIBRARIES}
	  ${KDE4_SOLID_LIBS} kopete iris_kopete ortp asound speex)
else(BUILD_JINGLE)
  target_link_libraries(kopete_jabber ${KDE4_KDE3SUPPORT_LIBS} ${QCA2_LIBRARIES}
	  ${KDE4_SOLID_LIBS} kopete iris_kopete)
endif(BUILD_JINGLE)

install(TARGETS kopete_jabber  DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES kopete_jabber.desktop xmpp.protocol DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES jabberchatui.rc  DESTINATION ${DATA_INSTALL_DIR}/kopete_jabber)
