## kdenetwork 4.4.5

=== debian/changelog ===
kdenetwork (4:4.4.5-2+squeeze1) stable; urgency=low

  [ José Manuel Santamaría Lema ]
  * Add cve_2010_1000_directory_traversal.diff, note that CVE-2010-1000 was
    already fixed, but this patch performs a better protection against that
    vulnerability.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 17 May 2011 00:33:31 +0300

kdenetwork (4:4.4.5-2) unstable; urgency=low

  * Point debian/control Vcs fields to the new Git repository.
  * Add patch 03_kopete_icq_login_fix.diff to change ICQ login server address.
    (Closes: #603661)
  * Solve circular dependencies by downgrading kopete Depends to Recommends
    for libkopete4. (Closes: #580044)

 -- Modestas Vainius <modax@debian.org>  Sun, 28 Nov 2010 17:25:54 +0200

kdenetwork (4:4.4.5-1) unstable; urgency=low

  [ Modestas Vainius ]
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.5.

  [ Sune Vuorela ]
  * Update email address
  * Update descriptions

 -- Sune Vuorela <sune@debian.org>  Sun, 18 Jul 2010 12:53:35 +0200

kdenetwork (4:4.4.4-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Readd libtelepathy-qt4-dev to Build-Depends, update krdc.install
    appropriately.
  * Bump pkg-kde-tools build dependency to (>= 0.9) for HTML_INSTALL_DIR
    switch and 3.0 (quilt) source format support.
  * Switch to 3.0 (quilt) source package format and original tar.bz2
    tarballs.
  * Replace usr/share/doc/kde4 references with usr/share/doc/kde.
  * Drop quilt from Build-Depends, no longer needed for 3.0 (quilt).
  * Remove debian/README.source. Patch support is part of source format
    now.
  * Move debian/source.lintian-overrides to debian/source/lintian-overrides.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.4.
  * Drop 01_kget_CVE-2010-1000.diff patch, merged upstream.
  * Build kget against system libktorrent:
    - add 01_backport_use_system_libktorrent.diff patch (backport);
    - add 02_debian_libktorrent_porting.diff with custom porting changes for
      libktorrent;
    - add libktorrent-dev to Build-Depends.
  * Build conflict with libmediastreamer-dev (= 3.3.0-1) on amd64. It (or
    rather closely related libortp-dev) is broken. See #583008.
  * Drop perl-suid from kdenetwork-filesharing Depends (Closes: #581947). It's
    a left over.

  [ Pino Toscano ]
  * Since kppp looks to be Linux-only at the moment, restrict it to just Linux
    architectures, and demote to recommend its dependency in the kdenetwork
    metapackage.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 01 Jun 2010 01:15:16 +0300

kdenetwork (4:4.4.3-2) unstable; urgency=medium

  [ Modestas Vainius ]
  * Add 01_kget_CVE-2010-1000.diff patch that fixes CVE-2010-1000.diff
    security vulnerability in KGet.
  * Build depend on KWebKit Part (libkwebkit-dev), update kget.install.
  * Damage control: temporarily drop libtelepathy-qt4-dev from
    Build-Depends in order to allow the package to build on arches where
    libnice FTFBSes at the moment (mipsel sparc). This disables
    krdc_rfb_approver support.
  * Urgency=medium due to security fix.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 16 May 2010 23:59:49 +0300

kdenetwork (4:4.4.3-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Change kopete section to net.
  * Bump kde-sc-dev-latest build dependency to 4.4.3.
  * Confirm symbol files for 4.4.2 on i386 ia64 s390.
  * Tighten libmsn-dev build dependency to 4.1.
  * Release KDE SC 4.4.3 to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 01 May 2010 23:37:54 +0300

kdenetwork (4:4.4.2-1) experimental; urgency=low

  * New upstream release:
    - krfb does not ask anymore to accept a connection when not configured to
      ask. (Closes: #522937)
    - Kopete auto-reconnects to Jabber accounts. (Closes: #535338)

  [ Modestas Vainius ]
  * Add cmake to Build-Depends.
  * Add kde-sc-dev-latest (>= 4:4.4.2) to Build-Depends.
  * Bump Standards-Version to 3.8.4: no changes needed.
  * Bump KDE build dependencies to 4:4.4.
  * Bump pkg-kde-tools build dependency to 0.6.4.
  * Add a symbol file for libkopete4: based on 4.3.4, updated for 4.4.1 on
    amd64/i386.

  [ George Kiagiadakis ]
  * Drop build dependency on libknotificationitem1-dev. Not needed anymore.
  * Add build dependencies on:
    - libmediastreamer-dev
    - libtelepathy-qt4-dev
    - shared-desktop-ontologies
    - kdepimlibs5-dev
    - libgpgme11-dev
    - libexpat-dev
    - libgif-dev
  * Drop patch 01_kopete_new_libmsn.diff.
  * Update installed files.

  [ Pino Toscano ]
  * Add dependency on ${misc:Depends} in all the packages.
  * Change the khelpcenter suggest to khelpcenter4.
  * Suggest texlive-latex-base in kopete, as it contains `latex' (and installs
   `dvips' as dependency), used by the "kopetex" plugin. Add a note in
    kopete's README.Debian about these dependencies.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 09 Apr 2010 18:39:56 +0300

kdenetwork (4:4.3.4-2) unstable; urgency=low

  [ Modestas Vainius ]
  * Change my email address to modax@debian.org in Uploaders field.
  * Fix Vcs-Browser URL.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Take out IRC from Kopete's description. (Closes: #540634)

  [ Pino Toscano ]
  * Make kopete recommend libqt4-sql-sqlite, as it is used by the statistics
    plugin. (Closes: #534119)
  * Add a README.Debian documenting the above Kopete change.
  * Add patch 01_kopete_new_libmsn.diff to make kopete compile with more
    recent versions of libmsn.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 18 Jan 2010 14:55:47 +0100

kdenetwork (4:4.3.4-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove myself from Uploaders.

  +++ Changes by Modestas Vainius:

  * Bump KDE build dependencies to current version.


